Package org.apache.cxf.configuration.spring

## Class ConfigurerImpl

- java.lang.Object
- - org.springframework.beans.factory.wiring.BeanConfigurerSupport
  - - org.apache.cxf.configuration.spring.ConfigurerImpl

- All Implemented Interfaces:
    `Configurer`, `BusExtension`, `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.BeanFactoryAware`, `org.springframework.beans.factory.DisposableBean`, `org.springframework.beans.factory.InitializingBean`, `org.springframework.context.ApplicationContextAware`

      public class ConfigurerImpl
      extends org.springframework.beans.factory.wiring.BeanConfigurerSupport
      implements Configurer, org.springframework.context.ApplicationContextAware, BusExtension

- - ### Field Summary

    - ### Fields inherited from class org.springframework.beans.factory.wiring.BeanConfigurerSupport

      `logger`

    - ### Fields inherited from interface org.apache.cxf.configuration.Configurer

      `DEFAULT_USER_CFG_FILE, USER_CFG_FILE_PROPERTY_NAME, USER_CFG_FILE_PROPERTY_URL`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConfigurerImpl()` |
    `ConfigurerImpl​(org.springframework.context.ApplicationContext ac)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addApplicationContext​(org.springframework.context.ApplicationContext ac)` |
    `void` | `configureBean​(Object beanInstance)` | set up the Bean's value by using Dependency Injection from the application context
    `void` | `configureBean​(String bn, Object beanInstance)` | set up the Bean's value by using Dependency Injection from the application context with a proper name.
    `void` | `configureBean​(String bn, Object beanInstance, boolean checkWildcards)` |
    `void` | `destroy()` |
    `protected Set<org.springframework.context.ApplicationContext>` | `getAppContexts()` |
    `protected String` | `getBeanName​(Object beanInstance)` |
    `Class<?>` | `getRegistrationType()` |
    `void` | `setApplicationContext​(org.springframework.context.ApplicationContext ac)` |
    `void` | `setBeanFactory​(org.springframework.beans.factory.BeanFactory beanFactory)` |

    - ### Methods inherited from class org.springframework.beans.factory.wiring.BeanConfigurerSupport

      `afterPropertiesSet, createDefaultBeanWiringInfoResolver, setBeanWiringInfoResolver`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigurerImpl

          public ConfigurerImpl()

    - #### ConfigurerImpl

          public ConfigurerImpl​(org.springframework.context.ApplicationContext ac)

  - ### Method Detail

    - #### setBeanFactory

          public void setBeanFactory​(org.springframework.beans.factory.BeanFactory beanFactory)

      Specified by:
        `setBeanFactory` in interface `org.springframework.beans.factory.BeanFactoryAware`
      Overrides:
        `setBeanFactory` in class `org.springframework.beans.factory.wiring.BeanConfigurerSupport`

    - #### configureBean

          public void configureBean​(Object beanInstance)

      Description copied from interface: `Configurer`
      set up the Bean's value by using Dependency Injection from the application context
      Specified by:
        `configureBean` in interface `Configurer`
      Overrides:
        `configureBean` in class `org.springframework.beans.factory.wiring.BeanConfigurerSupport`
      Parameters:
        `beanInstance` - the instance of the bean which needs to be configured

    - #### configureBean

          public void configureBean​(String bn,
                                    Object beanInstance)

      Description copied from interface: `Configurer`
      set up the Bean's value by using Dependency Injection from the application context with a proper name. You can use * as the prefix of wildcard name.
      Specified by:
        `configureBean` in interface `Configurer`
      Parameters:
        `bn` - the name of the bean which needs to be configured
        `beanInstance` - the instance of bean which need to be configured

    - #### configureBean

          public void configureBean​(String bn,
                                    Object beanInstance,
                                    boolean checkWildcards)

    - #### getBeanName

          protected String getBeanName​(Object beanInstance)

    - #### setApplicationContext

          public final void setApplicationContext​(org.springframework.context.ApplicationContext ac)

      Specified by:
        `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`

    - #### addApplicationContext

          public final void addApplicationContext​(org.springframework.context.ApplicationContext ac)

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `org.springframework.beans.factory.DisposableBean`
      Overrides:
        `destroy` in class `org.springframework.beans.factory.wiring.BeanConfigurerSupport`

    - #### getRegistrationType

          public Class<?> getRegistrationType()

      Specified by:
        `getRegistrationType` in interface `BusExtension`

    - #### getAppContexts

          protected Set<org.springframework.context.ApplicationContext> getAppContexts()